apiVersion: tekton.dev/v1
kind: Task
metadata:
  name: run-container
spec:
  description: >-
    Runs a container
  params:
  - name: image
    description: Image to run
    type: string
  - name: cmd
    description: Command to run
    type: string
    default: "true"
  - name: args
    description: args for the image
    type: string
    default: ""
  - name: configuration
    description: Ref to a configmap with config.
    type: string
    default: empty-cm
  - name: secret
    description: Ref to a secret.
    type: string
    default: empty-secret
  steps:
  - name: container
    image: "$(params.image)"
    imagePullPolicy: Always
    args: ["$(params.args[*])"]
    script: |
        #!/usr/bin/env bash
        echo "EXECUTING: $(params.cmd) $(params.args)" >&2
        $(params.cmd) $(params.args)
    env:
    - name: HOME
      value: /tekton/home
    envFrom:
    - configMapRef:
        name: "$(params.configuration)"
    - secretRef:
        name: "$(params.secret)"
    volumeMounts:
    - name: tmp
      mountPath: /tmp
    securityContext:
      readOnlyRootFilesystem: true
    computeResources:
      limits:
        memory: "20Gi"
      requests:
        memory: "15Gi"
  volumes:
    - name: tmp
      emptyDir: {}
